Bug 261041 - new twitter website layout does not work with KHTML
Summary: new twitter website layout does not work with KHTML
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: khtml (show other bugs)
Version: unspecified
Platform: Debian unstable Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-23 07:32 UTC by Janet
Modified: 2011-01-19 02:01 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Janet 2010-12-23 07:32:09 UTC
Version:           unspecified (using KDE 4.5.4) 
OS:                Linux

Twitter website changed its layout. In Konqueror with KHTML I only get a blank page with a not working headline. It does display fine with webkit engine.

Reproducible: Always




OS: Linux (i686) release 2.6.36-2.slh.2-aptosid-686
Compiler: cc
Comment 1 Maksim Orlovich 2010-12-23 13:09:23 UTC
Hmm, looks fine to me
Comment 2 Janet 2010-12-25 00:49:42 UTC
Are you logged in and switched your profile to the new layout?
Comment 3 Maksim Orlovich 2010-12-31 20:08:59 UTC
Can confirm with that.

This problem is caused by us having DOMNode::item (without [[Get]] indexer) which confuses the loader. Seems like FF doesn't need it anymore, so we can just remove it (but add HTMLSelectElement::item). Fixing that makes the page redirect to 127.0.0.1 though :(
Comment 4 Maksim Orlovich 2010-12-31 20:34:02 UTC
Issue #2 is that setDomain of an identical domain is not a no-op; it should set the "domain set from DOM" bit. With that fixed, seems to bootup... (except I was bombarded by certificate validation errors when not logged in... grrr...)
Comment 5 Maksim Orlovich 2010-12-31 20:59:35 UTC
Bug #3 is that XMLHttpRequest should use its domain, not the dynamic one to complete relative URLs.

This is turning out to be an extremely useful bug report. Thank you very much for filling it!
Comment 6 Maksim Orlovich 2011-01-19 02:00:19 UTC
SVN commit 1215544 by orlovich:


Various fixes for the new twitter website:
1) The alleged DOM 0 DOMNode::item doesn't exist in Gecko and WebCore at least,
and it confuses the script loader (as we have NodeList-like .item, but not an 
index [[Get]]). Remove it, but add one to HTMLSelectElement as that's legit 
HTML5.

2) When document.domain is set to the present domain, we still want to call
setDomainFromDOM(), as it would set the 'script-set domain' bit moving the
origin into that namespace --- otherwise it will be inaccessible to other
things that opted in.

3) XMLHttpRequest should complete relative URLs in its own context, not the
dynamic one.

BUG: 261041



 M  +0 -6      ecma/kjs_dom.cpp  
 M  +1 -1      ecma/kjs_dom.h  
 M  +5 -0      ecma/kjs_html.cpp  
 M  +1 -1      ecma/kjs_html.h  
 M  +1 -4      ecma/xmlhttprequest.cpp  
 M  +7 -2      xml/dom_docimpl.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1215544
Comment 7 Maksim Orlovich 2011-01-19 02:01:58 UTC
SVN commit 1215545 by orlovich:

Merged revision:r1215544 | orlovich | 2011-01-18 19:59:02 -0500 (Tue, 18 Jan 2011) | 18 lines


Various fixes for the new twitter website:
1) The alleged DOM 0 DOMNode::item doesn't exist in Gecko and WebCore at least,
and it confuses the script loader (as we have NodeList-like .item, but not an 
index [[Get]]). Remove it, but add one to HTMLSelectElement as that's legit 
HTML5.

2) When document.domain is set to the present domain, we still want to call
setDomainFromDOM(), as it would set the 'script-set domain' bit moving the
origin into that namespace --- otherwise it will be inaccessible to other
things that opted in.

3) XMLHttpRequest should complete relative URLs in its own context, not the
dynamic one.

BUG: 261041

 M  +0 -6      ecma/kjs_dom.cpp  
 M  +1 -1      ecma/kjs_dom.h  
 M  +5 -0      ecma/kjs_html.cpp  
 M  +1 -1      ecma/kjs_html.h  
 M  +1 -4      ecma/xmlhttprequest.cpp  
 M  +7 -2      xml/dom_docimpl.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1215545